## org.plovr.soy.server
Class RequestHandlerSelector

    java.lang.Object
      org.plovr.soy.server.RequestHandlerSelector

All Implemented Interfaces:
  com.sun.net.httpserver.HttpHandler

    public class RequestHandlerSelector

extends Object
implements com.sun.net.httpserver.HttpHandler

`RequestHandlerSelector` selects the `HttpHandler` to use to respond to a request based on the path.

Author:
  bolinfest@gmail.com (Michael Bolin)

Constructor Summary
`RequestHandlerSelector(Config config)`

Method Summary
`void` `handle(com.sun.net.httpserver.HttpExchange exchange)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestHandlerSelector

    public RequestHandlerSelector(Config config)

Method Detail

### handle

    public void handle(com.sun.net.httpserver.HttpExchange exchange)
                throws IOException

  Specified by:
    `handle` in interface `com.sun.net.httpserver.HttpHandler`
  Throws:
    `IOException`